Bug 5412 - Configure tries to find gpt_build_config even if it is not used.
: Configure tries to find gpt_build_config even if it is not used.
Status: CLOSED FIXED
: Gridway
Core
: 5.2.1 - GT 4.0.5
: All All
: P3 normal
: ---
Assigned To:
:
:
:
:
  Show dependency treegraph
 
Reported: 2007-06-26 12:38 by
Modified: 2007-07-18 06:18 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2007-06-26 12:38:49
gpt_build_config is used when building GW alongside globus, if you are building
it using the standard configure/make is not necessary. This requirement for
configure/make build should not be enforced.
------- Comment #1 From 2007-06-28 08:29:19 -------
Some other ./configure issues:

  *   ./configure --help --> reports flag "--with-docs" when it should report
"--with-doc"

  *   There is currently no way to deactivate the JSDL compiling (there is
--enable-jsdl and by default is enabled)
------- Comment #2 From 2007-06-28 08:34:18 -------
More ./configure issues:

  * preWS components should be built by default
------- Comment #3 From 2007-06-28 11:23:09 -------
Check of gpt_build_config has been fixed
Handle of enable/disable options in configure has been fixed
--with-docs should be fixed in the documentation
Use --enable-prews to build prews gram MAD

Changes committed to gw_5_2_branch